import{s as pt,f as mt,n as ft,o as ht}from"../chunks/scheduler.63274e7e.js";import{S as ct,i as wt,g as s,s as i,r as F,A as dt,h as r,f as l,c as o,j as gt,u as R,x as a,k as p,y as vt,a as n,v as Q,d as J,t as K,w as V}from"../chunks/index.bf3f3f8e.js";import{H as X}from"../chunks/Heading.500d2301.js";function xt(We){let u,Z,B,ee,f,te,m,qe,le,h,De="Welcome to the course that will teach you the most fascinating topic in game development: <strong>how to use powerful AI tools and models to create unique game experiences</strong>.",ne,c,Ne="New AI models are revolutionizing the Game Industry in two impactful ways:",ie,w,Ee="<li><p>On <strong>how we make games</strong>:</p> <ul><li>Generate textures using AI</li> <li>Using AI voice actors for the voices.</li></ul></li> <li><p>How we <strong>create gameplay</strong>:</p> <ul><li>Crafting smart Non-Playable Characters (NPCs) using large language models.</li></ul></li>",oe,d,Se="This course will <strong>teach you</strong>:",se,v,Ye="<li>How to <strong>integrate AI models for innovative gameplay</strong>, featuring intelligent NPCs.</li> <li>How to use AI tools to help your game development pipeline.</li>",re,x,je="In this introduction unit, you’ll:",ae,y,ze="<li>Learn more about the <strong>course content and the syllabus</strong>.</li> <li>Learn the <strong>course requirements</strong>.</li> <li>Create your Hugging Face Account (it’s free)</li> <li>Sign up to our Discord server to chat with your classmates and us (the Hugging Face team).</li>",ue,T,Be="Let’s get started!",me,C,ge,L,Oe="In this course, you will:",pe,_,Fe="<li>🤖 Learn to use <strong>powerful chat models to build intelligent NPC</strong>.</li> <li>🪄 Run <strong>these powerful AI models locally or with cloud APIs.</strong></li> <li>🎨 Use AI tools <strong>to accelerate your game development</strong>: generate voices with text-to-speech models using image generation tools…</li> <li>🎮 Work on <strong>exciting game demos</strong>.</li> <li>👩‍🎨 <strong>Build Your Own Game Demo</strong>.</li>",fe,M,Re="And more!",he,H,Qe="At the end of this course, you’ll get a <strong>solid foundation on using AI models in your games and AI tools in your game development</strong>.",ce,$,Je='Remember to <a href="http://eepurl.com/iCWDQw" rel="nofollow">sign up for the course</a> (we are collecting your email to be able to send you the links when each Unit is published and give you information about the challenges and updates).',we,b,Ke='Sign up 👉 <a href="http://eepurl.com/iCWDQw" rel="nofollow">here</a>',de,P,Ve='For now, all our content uses the <a href="https://www.unity.com" rel="nofollow">Unity Game Engine</a>. In the future, we will add content about Unreal Engine, Godot, and more.',ve,k,Xe="Naturally, for the demo, you can use any Game Engine you want (or no game engine), <strong>but we advise you to use Unity</strong>.",xe,A,ye,I,Ze="This course <strong>is not an introduction to game development</strong>. You should have some skills in Unity to follow this course.",Te,G,et='If it’s not the case. Don’t worry, that’s the perfect time to start! To start making games with Unity, check out this fantastic course: <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">Create with Code</a>, where you’ll learn to make five different games.',Ce,U,tt="With this create with code free course, <strong>you’ll get everything you need to be able to follow the Machine Learning for Games Course</strong>.",Le,W,lt='Create with code course 👉 <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">https://learn.unity.com/course/create-with-code</a>',_e,g,nt,Me,q,He,D,it="We don’t plan to have a unit on this for now. <strong>But the course will be improved with your feedback</strong>.",$e,N,ot="We already have a lot of free courses if you want to go deeper into:",be,E,st='<li>Learning <a href="https://huggingface.co/learn/nlp-course" rel="nofollow">Natural Language Processing with Transformers</a></li> <li>Learning <a href="https://huggingface.co/learn/audio-course/chapter0/introduction" rel="nofollow">Audio Processing with Transformers (Speech-To-Text, Text-To-Speech…)</a></li> <li>Learn to <a href="https://www.deeplearning.ai/short-courses/building-generative-ai-applications-with-gradio/" rel="nofollow">build Generative AI Applications with Gradio</a></li>',Pe,S,ke,Y,rt="During this course, you will work on some demos we’ve made. But the most exciting part is that during the whole course <strong>you will also work on your demo</strong>.",Ae,j,at="You’ll build a game demo using either:",Ie,z,ut="<li><p><strong>AI tools to help you build the game</strong> (for instance, texture generation, AI voice actors…).</p></li> <li><p>And or using an <strong>AI in the game as gameplay or for the NPC</strong>.</p></li>",Ge,O,Ue;return f=new X({props:{title:"Welcome to the 🤗 Machine Learning for Games Course",local:"introduction",headingTag:"h1"}}),C=new X({props:{title:"What to expect?",local:"what-to-expect",headingTag:"h2"}}),A=new X({props:{title:"But… I don’t know how to make games!",local:"but-i-dont-know-how-to-make-games",headingTag:"h2"}}),q=new X({props:{title:"Are we going to learn to train/fine-tune Transformer models and other AI models?",local:"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models",headingTag:"h2"}}),S=new X({props:{title:"Your Goal during this course 🏆: Making Your Own Game Demo",local:"your-goal-during-this-course--making-your-own-game-demo",headingTag:"h2"}}),{c(){u=s("meta"),Z=i(),B=s("p"),ee=i(),F(f.$$.fragment),te=i(),m=s("img"),le=i(),h=s("p"),h.innerHTML=De,ne=i(),c=s("p"),c.textContent=Ne,ie=i(),w=s("ul"),w.innerHTML=Ee,oe=i(),d=s("p"),d.innerHTML=Se,se=i(),v=s("ul"),v.innerHTML=Ye,re=i(),x=s("p"),x.textContent=je,ae=i(),y=s("ul"),y.innerHTML=ze,ue=i(),T=s("p"),T.textContent=Be,me=i(),F(C.$$.fragment),ge=i(),L=s("p"),L.textContent=Oe,pe=i(),_=s("ul"),_.innerHTML=Fe,fe=i(),M=s("p"),M.textContent=Re,he=i(),H=s("p"),H.innerHTML=Qe,ce=i(),$=s("p"),$.innerHTML=Je,we=i(),b=s("p"),b.innerHTML=Ke,de=i(),P=s("p"),P.innerHTML=Ve,ve=i(),k=s("p"),k.innerHTML=Xe,xe=i(),F(A.$$.fragment),ye=i(),I=s("p"),I.innerHTML=Ze,Te=i(),G=s("p"),G.innerHTML=et,Ce=i(),U=s("p"),U.innerHTML=tt,Le=i(),W=s("p"),W.innerHTML=lt,_e=i(),g=s("img"),Me=i(),F(q.$$.fragment),He=i(),D=s("p"),D.innerHTML=it,$e=i(),N=s("p"),N.textContent=ot,be=i(),E=s("ul"),E.innerHTML=st,Pe=i(),F(S.$$.fragment),ke=i(),Y=s("p"),Y.innerHTML=rt,Ae=i(),j=s("p"),j.textContent=at,Ie=i(),z=s("ul"),z.innerHTML=ut,Ge=i(),O=s("p"),this.h()},l(e){const t=dt("svelte-u9bgzb",document.head);u=r(t,"META",{name:!0,content:!0}),t.forEach(l),Z=o(e),B=r(e,"P",{}),gt(B).forEach(l),ee=o(e),R(f.$$.fragment,e),te=o(e),m=r(e,"IMG",{src:!0,alt:!0,width:!0}),le=o(e),h=r(e,"P",{"data-svelte-h":!0}),a(h)!=="svelte-c4v744"&&(h.innerHTML=De),ne=o(e),c=r(e,"P",{"data-svelte-h":!0}),a(c)!=="svelte-1ih3s7p"&&(c.textContent=Ne),ie=o(e),w=r(e,"UL",{"data-svelte-h":!0}),a(w)!=="svelte-8whzuy"&&(w.innerHTML=Ee),oe=o(e),d=r(e,"P",{"data-svelte-h":!0}),a(d)!=="svelte-1glw3q2"&&(d.innerHTML=Se),se=o(e),v=r(e,"UL",{"data-svelte-h":!0}),a(v)!=="svelte-4cax1m"&&(v.innerHTML=Ye),re=o(e),x=r(e,"P",{"data-svelte-h":!0}),a(x)!=="svelte-1rnqb0j"&&(x.textContent=je),ae=o(e),y=r(e,"UL",{"data-svelte-h":!0}),a(y)!=="svelte-ogoz90"&&(y.innerHTML=ze),ue=o(e),T=r(e,"P",{"data-svelte-h":!0}),a(T)!=="svelte-4b3xjd"&&(T.textContent=Be),me=o(e),R(C.$$.fragment,e),ge=o(e),L=r(e,"P",{"data-svelte-h":!0}),a(L)!=="svelte-f2qxb3"&&(L.textContent=Oe),pe=o(e),_=r(e,"UL",{"data-svelte-h":!0}),a(_)!=="svelte-1no8wom"&&(_.innerHTML=Fe),fe=o(e),M=r(e,"P",{"data-svelte-h":!0}),a(M)!=="svelte-t67g99"&&(M.textContent=Re),he=o(e),H=r(e,"P",{"data-svelte-h":!0}),a(H)!=="svelte-1d0jtag"&&(H.innerHTML=Qe),ce=o(e),$=r(e,"P",{"data-svelte-h":!0}),a($)!=="svelte-1g88ojb"&&($.innerHTML=Je),we=o(e),b=r(e,"P",{"data-svelte-h":!0}),a(b)!=="svelte-ehnhbr"&&(b.innerHTML=Ke),de=o(e),P=r(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-7mas1o"&&(P.innerHTML=Ve),ve=o(e),k=r(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-1gse6mb"&&(k.innerHTML=Xe),xe=o(e),R(A.$$.fragment,e),ye=o(e),I=r(e,"P",{"data-svelte-h":!0}),a(I)!=="svelte-1nxsmpb"&&(I.innerHTML=Ze),Te=o(e),G=r(e,"P",{"data-svelte-h":!0}),a(G)!=="svelte-e7trk"&&(G.innerHTML=et),Ce=o(e),U=r(e,"P",{"data-svelte-h":!0}),a(U)!=="svelte-1kwtrpg"&&(U.innerHTML=tt),Le=o(e),W=r(e,"P",{"data-svelte-h":!0}),a(W)!=="svelte-1uvvcef"&&(W.innerHTML=lt),_e=o(e),g=r(e,"IMG",{src:!0,alt:!0,width:!0}),Me=o(e),R(q.$$.fragment,e),He=o(e),D=r(e,"P",{"data-svelte-h":!0}),a(D)!=="svelte-1pkf154"&&(D.innerHTML=it),$e=o(e),N=r(e,"P",{"data-svelte-h":!0}),a(N)!=="svelte-157bpc9"&&(N.textContent=ot),be=o(e),E=r(e,"UL",{"data-svelte-h":!0}),a(E)!=="svelte-m74kmd"&&(E.innerHTML=st),Pe=o(e),R(S.$$.fragment,e),ke=o(e),Y=r(e,"P",{"data-svelte-h":!0}),a(Y)!=="svelte-5o0dlx"&&(Y.innerHTML=rt),Ae=o(e),j=r(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-ierz4b"&&(j.textContent=at),Ie=o(e),z=r(e,"UL",{"data-svelte-h":!0}),a(z)!=="svelte-1ocnqy2"&&(z.innerHTML=ut),Ge=o(e),O=r(e,"P",{}),gt(O).forEach(l),this.h()},h(){p(u,"name","hf:doc:metadata"),p(u,"content",yt),mt(m.src,qe="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/thumbnail.jpg")||p(m,"src",qe),p(m,"alt","Thumbnail"),p(m,"width","100%"),mt(g.src,nt="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/create_with_code.png")||p(g,"src",nt),p(g,"alt","Thumbnail"),p(g,"width","100%")},m(e,t){vt(document.head,u),n(e,Z,t),n(e,B,t),n(e,ee,t),Q(f,e,t),n(e,te,t),n(e,m,t),n(e,le,t),n(e,h,t),n(e,ne,t),n(e,c,t),n(e,ie,t),n(e,w,t),n(e,oe,t),n(e,d,t),n(e,se,t),n(e,v,t),n(e,re,t),n(e,x,t),n(e,ae,t),n(e,y,t),n(e,ue,t),n(e,T,t),n(e,me,t),Q(C,e,t),n(e,ge,t),n(e,L,t),n(e,pe,t),n(e,_,t),n(e,fe,t),n(e,M,t),n(e,he,t),n(e,H,t),n(e,ce,t),n(e,$,t),n(e,we,t),n(e,b,t),n(e,de,t),n(e,P,t),n(e,ve,t),n(e,k,t),n(e,xe,t),Q(A,e,t),n(e,ye,t),n(e,I,t),n(e,Te,t),n(e,G,t),n(e,Ce,t),n(e,U,t),n(e,Le,t),n(e,W,t),n(e,_e,t),n(e,g,t),n(e,Me,t),Q(q,e,t),n(e,He,t),n(e,D,t),n(e,$e,t),n(e,N,t),n(e,be,t),n(e,E,t),n(e,Pe,t),Q(S,e,t),n(e,ke,t),n(e,Y,t),n(e,Ae,t),n(e,j,t),n(e,Ie,t),n(e,z,t),n(e,Ge,t),n(e,O,t),Ue=!0},p:ft,i(e){Ue||(J(f.$$.fragment,e),J(C.$$.fragment,e),J(A.$$.fragment,e),J(q.$$.fragment,e),J(S.$$.fragment,e),Ue=!0)},o(e){K(f.$$.fragment,e),K(C.$$.fragment,e),K(A.$$.fragment,e),K(q.$$.fragment,e),K(S.$$.fragment,e),Ue=!1},d(e){e&&(l(Z),l(B),l(ee),l(te),l(m),l(le),l(h),l(ne),l(c),l(ie),l(w),l(oe),l(d),l(se),l(v),l(re),l(x),l(ae),l(y),l(ue),l(T),l(me),l(ge),l(L),l(pe),l(_),l(fe),l(M),l(he),l(H),l(ce),l($),l(we),l(b),l(de),l(P),l(ve),l(k),l(xe),l(ye),l(I),l(Te),l(G),l(Ce),l(U),l(Le),l(W),l(_e),l(g),l(Me),l(He),l(D),l($e),l(N),l(be),l(E),l(Pe),l(ke),l(Y),l(Ae),l(j),l(Ie),l(z),l(Ge),l(O)),l(u),V(f,e),V(C,e),V(A,e),V(q,e),V(S,e)}}}const yt='{"title":"Welcome to the 🤗 Machine Learning for Games Course","local":"introduction","sections":[{"title":"What to expect?","local":"what-to-expect","sections":[],"depth":2},{"title":"But… I don’t know how to make games!","local":"but-i-dont-know-how-to-make-games","sections":[],"depth":2},{"title":"Are we going to learn to train/fine-tune Transformer models and other AI models?","local":"are-we-going-to-learn-to-trainfine-tune-transformer-models-and-other-ai-models","sections":[],"depth":2},{"title":"Your Goal during this course 🏆: Making Your Own Game Demo","local":"your-goal-during-this-course--making-your-own-game-demo","sections":[],"depth":2}],"depth":1}';function Tt(We){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mt extends ct{constructor(u){super(),wt(this,u,Tt,xt,pt,{})}}export{Mt as component};
